libuim8_1.8.1-4_i386.deb


Advertisement

Description

libuim8 - Universal Input Method - uim library

Property Value
Distribution Debian 7 (Wheezy)
Repository Debian Main i386
Package name libuim8
Package version 1.8.1
Package release 4
Package architecture i386
Package type deb
Installed size 117 B
Download size 36.35 KB
Official Mirror ftp.br.debian.org
Uim is an input method module library which supports various scripts and can
act as a front end for a range of input methods, including Anthy, Canna,
PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
M17n (for many other languages). Most of its functions are implemented in
Scheme, so it's very simple and flexible.
This package contains the shared libraries for uim.

Alternatives

Package Version Architecture Repository
libuim8_1.8.1-4_amd64.deb 1.8.1 amd64 Debian Main
libuim8 - - -

Requires

Name Value
libc6 >= 2.11
libgcroots0 >= 0.8.5
libuim-scm0 >= 1:1.5.7
multiarch-support -
uim-common >= 1:1.8.1-4

Replaces

Name Value
libuim6 -

Download

Type URL
Binary Package libuim8_1.8.1-4_i386.deb
Source Package uim

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libuim8 deb package:
    # sudo apt-get install libuim8

Files

Path
/usr/lib/i386-linux-gnu/libuim.so.8
/usr/lib/i386-linux-gnu/libuim.so.8.0.0
/usr/share/doc/libuim8

Changelog

2012-10-18 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
uim (1:1.8.1-4) unstable; urgency=medium
* Urgency set medium to fix RC bug.
* touch /var/lib/uim/installed-modules.scm and /var/lib/uim/loader.scm
before mv_conffile works in debian/libuim-data.postinst.
because mv_conffile works only when destination file aleady exists.
it appears upgrading from squeeze. (Closes: #688233) again.
reported by Andreas Beckmann <debian@abeckmann.de>.  Thank you.
* debian/control: libuim-data
- replace Breaks: uim-chewing (<= 0.1.0-2) by uim-chewing (<< 0.1.0-3~).
2012-10-14 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
uim (1:1.8.1-3) unstable; urgency=medium
* Urgency set medium to fix RC bug.
* move installed-modules.scm and loader.scm from /etc/uim to /var/lib/uim
(Closes: #688233).
- debian/*.{postinst,prerm}: change path from /etc/uim to /var/lib/uim.
- debian/rules: do not generate installed-modules.scm and loader.scm.
- debian/libuim-data.maintscript: add mv_conffile installed-modules.scm
and loader.scm from /etc/uim to /var/lib/uim.
Suggested by Andreas Beckmann <debian@abeckmann.de>.  Thank you.
- debian/libuim-data.postinst: generate installed-modules.scm and
loader.scm if they do not exists in /var/lib/uim.
- debian/libuim-data.postrm: remove /etc/uim and /var/lib/uim contents.
* debian/control: libuim-data
- add Pre-Depends: dpkg (>= 1.15.7.2) to use dpkg-maintsctipt-helper.
- add Breaks: uim-MODULE (<< 1:1.8.1-3~).
- add Breaks: uim-mozc (<< 1.5.1090.102-4~), uim-chewing (<= 0.1.0-2)
* unset Multi-Arch: same of uim-dbg, because of plasma-widget-uim (kde4).
2012-06-03 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
uim (1:1.8.1-2) unstable; urgency=low
* enable Multiarch.
- this is partial, because of plasma-widget-uim (kde4).
- debian/compat: set to 9.
- debian/libuim-custom2.install
debian/libuim-data.install
debian/libuim-dev.install
debian/libuim-scm0.install
debian/libuim8.install
debian/uim-anthy.install
debian/uim-applet-gnome.install
debian/uim-gtk2.0.install
debian/uim-gtk3.install
debian/uim-m17nlib.install
debian/uim-qt.install
debian/uim-skk.install
debian/uim-utils.install
debian/rules: add triplet.
- debian/control
+ mark libuim8, libuim-scm0, libuim-custom2, libuim-dev and uim0-dbg as
Multi-Arch: same.
+ mark uim-common as Multi-Arch: foreign.
* enable more hardening.
- debian/patches/add_cppflags_qt4_common.patch: added.
- debian/patches/add_include_qt4_edittest.patch: added.
* debian/changelog: remove redundant name tags.
2012-05-30 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
uim (1:1.8.1-1) unstable; urgency=low
* New upstream release.
- debian/uim-tcode.install: update for new file tutcode-rule-custom.scm.
2012-05-17 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
uim (1:1.8.0-2) unstable; urgency=low
* upload to unstable.
2012-05-15 - Scott Kitterman <scott@kitterman.com>
uim (1:1.7.3-2.1) unstable; urgency=low
* Non-maintainer upload.
* Fix FTBFS against multiarch Qt 4.8 (Closes: #662796)
- Thanks to Felix Geyer for the fix
2012-03-31 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
uim (1:1.8.0-1) experimental; urgency=low
* New upstream release.
- replace rsvg with rsvg-convert (Closes: #666484)
* fix FTBFS against multiarch Qt 4.8 (Closes: #662796)
thanks to Felix Geyer <debfx-pkg@fobos.de>.
* including upstream changelogs.
- debian/uim-common.docs: added ChangeLog.old*
- debian/rules: add override_dh_installchangelogs.
* debian/rules: add uim-hangul to override_dh_link.
* upload to experimental.

See Also

Package Description
libuima-adapter-soap-java_2.4.0-2_all.deb Library to provide SOAP web services within UIMA
libuima-adapter-vinci-java_2.4.0-2_all.deb Library to provide Vinci web services within UIMA
libuima-addons-java-doc_2.3.1-2_all.deb Documentation for Apache UIMA Addons
libuima-addons-java_2.3.1-2_all.deb Apache UIMA Addons
libuima-as-java-doc_2.3.1-3_all.deb Documentation for Apache UIMA Asynch Scaleout framework
libuima-as-java_2.3.1-3_all.deb Apache UIMA Asynch Scaleout framework
libuima-core-java_2.4.0-2_all.deb Core library for the UIMA framework
libuima-cpe-java_2.4.0-2_all.deb Library for the UIMA Collection Processing Engine
libuima-document-annotation-java_2.4.0-2_all.deb Library for the UIMA document annotation
libuima-tools-java_2.4.0-2_all.deb UIMA library for the UIMA tools
libuima-vinci-java_2.4.0-2_all.deb Library to handle Vinci web service protocol
libumad2sim0_0.5-1.1_i386.deb InfiniBand fabric simulator
libumfpack5.4.0_3.4.0-3_i386.deb sparse LU factorization library
libumlib-dev_0.8.2-1_i386.deb View-OS in user space - Development files
libumlib0_0.8.2-1_i386.deb View-OS in user space - Support library for modules
Advertisement
Advertisement